Skip to main content
GET
V2 Short Interest and Float

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

Response

Short interest data and float information for percentage calculations for a specific ticker. This endpoint provides information about the relationship between short interest and the float, including the percentage of the float that is shorted and the days to cover metric.

days_to_cover
string

The estimated number of days to cover all short positions based on average daily trading volume.

fee_rate
string<date>

The fee rate.

market_date
string<date>

The date of the short interest data.

rebate_rate
string<date>

The rebate rate.

short_interest
integer

The total number of shares sold short.

short_shares_available
string<date>

The short shares available.

si_float
string

The short interest float ratio.

si_float_with_synth_long_pct_of_total_shares
string

The short interest float ratio with volume of shares sold short added to total float.

symbol
string

The ticker symbol.

total_float
integer

The float (available shares for trading).

Last modified on September 29, 2026